FlexLexer Class Referenceabstract
Inheritance diagram for FlexLexer:
[legend]

## Public Member Functions

const char * | YYText () const
int | YYLeng () const
virtual void | yy_switch_to_buffer (struct yy_buffer_state *new_buffer)=0
virtual struct yy_buffer_state * | yy_create_buffer (FLEX_STD istream *s, int size)=0
virtual void | yy_delete_buffer (struct yy_buffer_state *b)=0
virtual void | yyrestart (FLEX_STD istream *s)=0
virtual int | yylex ()=0
int | yylex (FLEX_STD istream *new_in, FLEX_STD ostream *new_out=0)
virtual void | switch_streams (FLEX_STD istream *new_in=0, FLEX_STD ostream *new_out=0)=0
int | lineno () const
int | debug () const
void | set_debug (int flag)

## Protected Attributes

char * | yytext
int | yyleng
int | yylineno
int | yy_flex_debug

The documentation for this class was generated from the following file:

- FlexLexer.h